Subject: bug#2503: closed (Re: bug#2503: 23.0.91; poor performance of flyspell for text mode)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Jul 2016 21:06:02 +0000

Your bug report

#2503: 23.0.91; poor performance of flyspell for text mode

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2503: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2503
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2503: 23.0.91; poor performance of flyspell for text mode
From: Nicolas Petton <[email-masked]>
To: Leo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 20 Jul 2016 23:04:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Leo <[email-masked]> writes:

> I am using:
>
> GNU Emacs 23.0.91.1 (i386-mingw-nt5.1.2600) of 2009-02-26 on LENNART-69DE564
>
> If I do the following:
>
>   (add-hook 'text-mode-hook 'turn-on-flyspell)
>
> There's a noticeable delay in opening any text files. In a text file, if
> I hold down right arrow key, I can also see the point moving in an on
> and off way i.e. it looks like something is holding it back.

This is a very old issue, and I cannot reproduce it with Emacs built
from master today, so I'm closing it.

If it's still an issue feel free to reopen it.

Nico

Subject: 23.0.91; poor performance of flyspell for text mode
From: Leo <[email-masked]>
To: [email-masked]
Date: Fri, 27 Feb 2009 23:12:41 +0000

I am using:

GNU Emacs 23.0.91.1 (i386-mingw-nt5.1.2600) of 2009-02-26 on LENNART-69DE564

If I do the following:

  (add-hook 'text-mode-hook 'turn-on-flyspell)

There's a noticeable delay in opening any text files. In a text file, if
I hold down right arrow key, I can also see the point moving in an on
and off way i.e. it looks like something is holding it back.

Another noticeable poor performance is in the following scenario. I can
see the cpu goes up to 100%.

To reproduce:

   In a file, regardless of flyspell, hold down the 'Down Arrow' key

It will drive the cpu to 100% and the moving is not as smooth as in
GNU/Linux.

Hope this helps,

Leo